Index: trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.2 2006/06/29 16:54:26 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.19 2006/09/25 17:06:28 maire Exp $
+# $Id: GNUmakefile,v 1.22 2008/06/11 22:17:58 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm5/TestEm5.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/TestEm5.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/TestEm5.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: TestEm5.cc,v 1.17 2007/06/22 10:48:00 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/air.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/air.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/air.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: air.mac,v 1.2 2007/07/31 16:51:29 maire Exp $
+# $Id: air.mac,v 1.3 2009/09/18 14:03:24 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -11,5 +11,5 @@
 /testem/det/setAbsYZ    15 cm
 #
-/testem/phys/addPhysics  standard
+/testem/phys/addPhysics  local
 #### /testem/phys/addPhysics  standardSS
 #
Index: trunk/examples/extended/electromagnetic/TestEm5/berger.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/berger.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/berger.mac	(revision 1230)
@@ -1,8 +1,8 @@
-# $Id: berger.mac,v 1.3 2006/03/20 11:41:46 maire Exp $
+# $Id: berger.mac,v 1.7 2009/01/21 17:49:59 maire Exp $
 #
 # macro file for TestEm5.cc    
 #
 # energy deposit by 1 MeV electrons in silicon counters.
-# M.J.Berger et al. NIM 69 (1969) page 181.
+# M.J.Berger et al. NIM 69 (1969) page 181
 #     		    
 /control/verbose 2
@@ -10,15 +10,13 @@
 #
 /testem/det/setAbsMat Silicon      
-/testem/det/setAbsThick 61 um
+###/testem/det/setAbsThick 61 um
 ###/testem/det/setAbsThick 105 um
 ###/testem/det/setAbsThick 191 um
-###/testem/det/setAbsThick 530 um
+/testem/det/setAbsThick 530 um
 ###/testem/det/setAbsThick   1 mm
 ###/testem/det/setAbsThick   3 mm
 /testem/det/setAbsYZ      1 cm
 #
-/testem/phys/setGCut 2.13 mm   
-/testem/phys/setECut 7 um
-/testem/phys/setPCut 7 um
+/testem/phys/setCuts 10 um   
 #
 /run/initialize
@@ -28,8 +26,9 @@
 /gun/energy 1 MeV
 #
-/testem/histo/setFileName berger
-/testem/histo/setFileType hbook
-/testem/histo/setHisto 1  55 0.0 1.1 MeV	#energy deposit  
+/testem/histo/setFileName berger/Si530um
+/testem/histo/setFileType root
+/testem/histo/setHisto 1 105  0  1.05 MeV	#energy deposit  
 #
-/testem/event/printModulo 100000 
+/testem/event/printModulo 100000
+# 
 /run/beamOn 1000000
Index: trunk/examples/extended/electromagnetic/TestEm5/dedx1.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/dedx1.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/dedx1.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: dedx1.mac,v 1.4 2006/03/28 15:03:08 maire Exp $
+# $Id: dedx1.mac,v 1.6 2009/09/18 14:03:24 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -8,11 +8,9 @@
 /run/verbose 2
 #
-/testem/det/setAbsMat Silicon   
-/testem/det/setAbsThick 1 mm  
-/testem/det/setAbsYZ    1 mm
+/testem/det/setAbsMat Air   
+/testem/det/setAbsThick 1 cm  
+/testem/det/setAbsYZ    1 cm
 #
-/testem/phys/addPhysics standard
-###/testem/phys/addPhysics livermore
-###/testem/phys/addPhysics penelope
+/testem/phys/addPhysics local
 #
 /testem/phys/setCuts 1 km
@@ -24,6 +22,6 @@
 #
 /testem/gun/setDefault
-/gun/particle e- 
-/gun/energy 1 MeV
+/gun/particle proton 
+/gun/energy 10 MeV
 #
 /tracking/verbose 1
Index: trunk/examples/extended/electromagnetic/TestEm5/dedx2.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/dedx2.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/dedx2.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: dedx2.mac,v 1.5 2006/03/28 15:03:08 maire Exp $
+# $Id: dedx2.mac,v 1.6 2009/09/18 14:03:24 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -12,7 +12,7 @@
 /testem/det/setAbsYZ    10 um
 #
-/testem/phys/addPhysics standard
-###/testem/phys/addPhysics livermore
-###/testem/phys/addPhysics penelope
+/testem/phys/addPhysics local
+###/testem/phys/addPhysics emlivermore
+###/testem/phys/addPhysics empenelope
 #
 /testem/phys/setCuts 1 km
Index: trunk/examples/extended/electromagnetic/TestEm5/hadron.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/hadron.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/hadron.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: hadron.mac,v 1.2 2004/11/22 15:43:39 maire Exp $
+# $Id: hadron.mac,v 1.4 2009/09/18 14:03:24 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -11,8 +11,5 @@
 /testem/det/setAbsYZ    1 m
 #
-/testem/phys/addPhysics  standard
-/testem/phys/addPhysics  binary
-/testem/phys/addPhysics  binary_ion
-/testem/phys/addPhysics  elastic
+/testem/phys/addPhysics  local
 #
 /testem/phys/setCuts 1 km
@@ -27,4 +24,2 @@
 #
 /run/beamOn 1
-
-
Index: trunk/examples/extended/electromagnetic/TestEm5/hanson.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/hanson.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/hanson.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: hanson.mac,v 1.4 2007/07/31 16:51:29 maire Exp $
+# $Id: hanson.mac,v 1.5 2009/06/19 12:42:04 vnivanch Exp $
 #
 # macro file for TestEm5.cc    
@@ -19,4 +19,7 @@
 /testem/phys/setPCut 1.12 um
 #
+/testem/phys/addPhysics  emstandard_opt3
+#/testem/phys/addPhysics  standardGS
+#
 /run/initialize
 #
Index: trunk/examples/extended/electromagnetic/TestEm5/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.6 2006/06/29 16:54:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.5 2006/06/29 16:54:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2006/06/29 16:54:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/EventMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/EventMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/EventMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventMessenger.hh,v 1.5 2006/06/29 16:54:38 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/HistoManager.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/HistoManager.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.hh,v 1.13 2007/11/12 17:48:16 maire Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: HistoManager.hh,v 1.14 2007/11/30 11:46:25 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -64,4 +64,5 @@
     void FillHisto(G4int id, G4double e, G4double weight = 1.0);
     void RemoveHisto (G4int);
+    void Scale (G4int, G4double);    
     void PrintHisto  (G4int);
     
Index: trunk/examples/extended/electromagnetic/TestEm5/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/HistoMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.8 2007/11/12 17:48:16 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandard.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandard.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.6 2006/08/10 08:44:39 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandardSS.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandardSS.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PhysListEmStandardSS.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandardSS.hh,v 1.1 2006/08/10 08:45:14 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsList.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.hh,v 1.6 2007/03/20 18:50:53 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.hh,v 1.11 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -37,5 +37,4 @@
 
 class G4VPhysicsConstructor;
-class StepMax;
 class PhysicsListMessenger;
 
@@ -55,6 +54,4 @@
   void AddDecay();
   void AddStepMax();       
-  
-  StepMax* GetStepMaxProcess() {return stepMaxProcess;};
     
   void SetCuts();
@@ -64,20 +61,13 @@
     
 private:
-  
+
   PhysicsListMessenger* pMessenger; 
 
   G4String emName;
   G4VPhysicsConstructor*  emPhysicsList;
-  std::vector<G4VPhysicsConstructor*>  hadronPhys;
-    
-  StepMax* stepMaxProcess;
     
   G4double cutForGamma;
   G4double cutForElectron;
   G4double cutForPositron;    
-
-  G4bool helIsRegisted;
-  G4bool bicIsRegisted;
-  G4bool biciIsRegisted;
 
 };
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PhysicsListMessenger.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.hh,v 1.7 2006/06/29 16:55:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.hh,v 1.9 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -45,21 +45,21 @@
 class PhysicsListMessenger: public G4UImessenger
 {
-  public:
+public:
   
-    PhysicsListMessenger(PhysicsList* );
-   ~PhysicsListMessenger();
+  PhysicsListMessenger(PhysicsList* );
+  ~PhysicsListMessenger();
     
-    void SetNewValue(G4UIcommand*, G4String);
+  void SetNewValue(G4UIcommand*, G4String);
     
-  private:
+private:
   
-    PhysicsList* pPhysicsList;
+  PhysicsList* pPhysicsList;
     
-    G4UIdirectory*             physDir;    
-    G4UIcmdWithAString*        pListCmd;    
-    G4UIcmdWithADoubleAndUnit* gammaCutCmd;
-    G4UIcmdWithADoubleAndUnit* electCutCmd;
-    G4UIcmdWithADoubleAndUnit* protoCutCmd;    
-    G4UIcmdWithADoubleAndUnit* allCutCmd;        
+  G4UIdirectory*             physDir;    
+  G4UIcmdWithAString*        pListCmd;    
+  G4UIcmdWithADoubleAndUnit* gammaCutCmd;
+  G4UIcmdWithADoubleAndUnit* electCutCmd;
+  G4UIcmdWithADoubleAndUnit* protoCutCmd;    
+  G4UIcmdWithADoubleAndUnit* allCutCmd;        
 };
 
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.4 2006/06/29 16:55:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.4 2006/06/29 16:55:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/RunAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.hh,v 1.8 2007/11/21 17:41:19 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.hh,v 1.9 2009/01/22 17:41:43 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -52,14 +52,15 @@
 class RunAction : public G4UserRunAction
 {
-  public:
+
+public:
+
     RunAction(DetectorConstruction*, PrimaryGeneratorAction*, HistoManager*);
-   ~RunAction();
+    virtual ~RunAction();
 
-  public:
     void BeginOfRunAction(const G4Run*);
     void   EndOfRunAction(const G4Run*);
 
     void AddEnergy (G4double edep)
-                   {EnergyDeposit += edep; EnergyDeposit2 += edep*edep;};
+                 {EnergyDeposit += edep; EnergyDeposit2 += edep*edep;};
 
     void AddTrakLenCharg (G4double length)
Index: trunk/examples/extended/electromagnetic/TestEm5/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/StackingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/StackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.4 2006/09/25 17:06:29 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/StackingMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/StackingMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/StackingMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.hh,v 1.6 2006/09/25 17:06:29 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/StepMax.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.3 2006/06/29 16:55:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/StepMaxMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.3 2006/06/29 16:55:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/SteppingAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.hh,v 1.3 2006/06/29 16:55:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: SteppingAction.hh,v 1.4 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.3 2006/06/29 16:55:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm5/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/include/TrackingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.4 2006/06/29 16:55:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/mumsc.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/mumsc.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/mumsc.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: mumsc.mac,v 1.8 2007/07/31 16:51:29 maire Exp $
+# $Id: mumsc.mac,v 1.20 2009/11/15 22:10:03 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -14,5 +14,7 @@
 /testem/det/setWorldYZ  1 m
 #
-/testem/phys/setCuts 0.1 mm
+/testem/phys/addPhysics local
+#
+/testem/phys/setCuts 1 mm
 #
 /run/initialize
@@ -20,13 +22,13 @@
 /testem/gun/setDefault
 /gun/particle mu+
-/gun/energy 50 GeV
+/gun/energy 100 GeV
 #
-/testem/histo/setFileName mumsc
+/testem/histo/setFileName mumsc/ref09.local
 /testem/histo/setFileType hbook
-/testem/histo/setHisto 13  200  -20.0  +20.0 mrad	#projected angle
-/testem/histo/setHisto 14  200  -10.0  +10.0 mm		#projected deviation  
+/testem/histo/setHisto 14  100 -5.0  +5.0 mm		#x-position at exit  
+/testem/histo/setHisto 15  100  0.  +10.0 mm		#radius at exit  
 #
 /testem/stack/killSecondaries
 #
-/testem/event/printModulo 1000
-/run/beamOn 10000
+/testem/event/printModulo 4000
+/run/beamOn 40000
Index: trunk/examples/extended/electromagnetic/TestEm5/neutron.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/neutron.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/neutron.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: neutron.mac,v 1.4 2007/07/31 16:51:29 maire Exp $
+# $Id: neutron.mac,v 1.5 2009/09/18 14:03:24 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -14,6 +14,5 @@
 /testem/det/setAbsYZ    20 cm
 #
-/testem/phys/addPhysics  standard
-/testem/phys/addPhysics  elastic
+/testem/phys/addPhysics  local
 #
 /testem/phys/setCuts 1 km
